#  Available field types:
#  'int',
#  'integer',
#  'string',
#  'text',
#  'date',
#  'select',
#  'select2',//ini belum ding
#  'select2ajax'
#  'file'


table: pengajuans
fields:
  id_pendaftar:
    type: select2ajax
    label: Pendaftar
    nullable: false
    validation_rules: 'required'
    url: 'select2/roles'
    html_attributes: ''
    multiple: false
  file_surat_pengantar_resmi:
    type: file
    label: Surat Pengantar Resmi
    nullable: true
    validation_rules: ''
    html_attributes: ''
    multiple: false
  file_proposal:
    type: file
    label: Proposal
    nullable: true
    validation_rules: ''
    html_attributes: ''
    multiple: false
  is_new:
    type: int
    label: Is New?
    nullable: false
    validation_rules: 'required|min:0'
    html_attributes: ''
    helptext: ''
  is_draft:
    type: int
    label: Is Draft?
    nullable: false
    validation_rules: 'required|min:0'
    html_attributes: ''
    helptext: ''
model:
  namespace: App\Pengajuan
  class_name: Pengajuan
  file_dir: 'Pengajuan' #default to: app/Models folder
request:
  namespace: App\Http\Requests
  class_name: PengajuanRequest
  file_dir: '' #default to: app/Http/Requests folder
controller:
  namespace: App\Http\Controllers\Pengajuan
  class_name: PengajuanController
  file_dir: 'Reservation' #default to: app/Http/Controllers folder
route:
  url: pengajuan #dont use any dots!!
  controller: Pengajuan\PengajuanController
views:
  title: Pendaftaran Magang
  file_dir: pengajuans #default to: resources/views
